Eclipse Remote Application Platform

## org.eclipse.swt.custom
Class CTabFolderEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.custom.CTabFolderEvent

    public class CTabFolderEvent

extends TypedEvent

This event is sent when an event is generated in the `CTabFolder`.

Since:
  1.0

Field Summary
`boolean` `doit` A flag indicating whether the operation should be allowed.
`int` `height` The height of the chevron button at the time of the event.
`Widget` `item` The tab item for the operation.
`int` `width` The width of the chevron button at the time of the event.
`int` `x` The widget-relative, x coordinate of the chevron button at the time of the event.
`int` `y` The widget-relative, y coordinate of the chevron button at the time of the event.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    public Widget item

  The tab item for the operation.

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation. Applies to the close and showList events.

### x

    public int x

  The widget-relative, x coordinate of the chevron button at the time of the event. Applies to the showList event.

### y

    public int y

  The widget-relative, y coordinate of the chevron button at the time of the event. Applies to the showList event.

### width

    public int width

  The width of the chevron button at the time of the event. Applies to the showList event.

### height

    public int height

  The height of the chevron button at the time of the event. Applies to the showList event.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TypedEvent`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0